aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'scripts.new/bin/tree-wrapper.sh')
-rwxr-xr-xscripts.new/bin/tree-wrapper.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/scripts.new/bin/tree-wrapper.sh b/scripts.new/bin/tree-wrapper.sh
new file mode 100755
index 0000000..259bf3f
--- /dev/null
+++ b/scripts.new/bin/tree-wrapper.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+[[ -z "${CUR_STAGE_DIR}" ]] && exit 1
+[[ -z "${CONFIG}" ]] && exit 1
+
+source "${CONFIG}"
+
+CUR_STAGE_DIR=$(python -c "print('${CUR_STAGE_DIR}')")
+
+mkdir -p "${POMDIR}"
+mkdir -p "${CUR_STAGE_DIR}"
+
+for artifact in $MAVEN_ARTS; do
+ $TSH $artifact
+ if [[ $? -ne 0 ]]; then
+ echo [!] While processing $artifact, TSH returned an error
+ exit 1
+ fi
+done